diff -urN punbb-1.3/admin/install.php punbb-1.3.4/admin/install.php
--- punbb-1.3/admin/install.php	2008-11-09 17:22:14.000000000 +0000
+++ punbb-1.3.4/admin/install.php	2009-05-20 09:20:51.000000000 +0000
@@ -4,14 +4,14 @@
  *
  * Used to actually install PunBB.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
-define('FORUM_VERSION', '1.3');
-define('FORUM_DB_REVISION', 3);
+define('FORUM_VERSION', '1.3.4');
+define('FORUM_DB_REVISION', 4);
 define('MIN_PHP_VERSION', '4.3.0');
 define('MIN_MYSQL_VERSION', '4.1.2');
 
@@ -57,7 +57,8 @@
 	return '<?php'."\n\n".'$db_type = \''.$db_type."';\n".'$db_host = \''.$db_host."';\n".'$db_name = \''.addslashes($db_name)."';\n".'$db_username = \''.addslashes($db_username)."';\n".'$db_password = \''.addslashes($db_password)."';\n".'$db_prefix = \''.addslashes($db_prefix)."';\n".'$p_connect = false;'."\n\n".'$base_url = \''.$base_url.'\';'."\n\n".'$cookie_name = '."'".$cookie_name."';\n".'$cookie_domain = '."'';\n".'$cookie_path = '."'/';\n".'$cookie_secure = 0;'."\n\ndefine('FORUM', 1);";
 }
 
-$language = isset($_GET['lang']) ? preg_replace('#[\.\\\/]#', '', $_GET['lang']) : 'English';
+$language = isset($_GET['lang']) ? $_GET['lang'] : (isset($_POST['req_language']) ? forum_trim($_POST['req_language']) : 'English');
+$language = preg_replace('#[\.\\\/]#', '', $language);
 if (!file_exists(FORUM_ROOT.'lang/'.$language.'/install.php'))
 	exit('The language pack you have chosen doesn\'t seem to exist or is corrupt. Please recheck and try again.');
 
@@ -83,6 +84,7 @@
 	exit;
 }
 
+header('Content-Type: text/html; charset=utf-8');
 
 if (!isset($_POST['form_sent']))
 {
@@ -147,8 +149,7 @@
 	if (count($languages) > 1)
 	{
 
-?>
-	<form class="frm-form" method="get" accept-charset="utf-8" action="install.php">
+?>	<form class="frm-form" method="get" accept-charset="utf-8" action="install.php">
 	<div class="main-subhead">
 		<h2 class="hn"><span><?php echo $lang_install['Choose language'] ?></span></h2>
 	</div>
@@ -164,8 +165,7 @@
 		foreach ($languages as $lang)
 			echo "\t\t\t\t\t".'<option value="'.$lang.'"'.($language == $lang ? ' selected="selected"' : '').'>'.$lang.'</option>'."\n";
 
-?>
-					</select></span>
+?>					</select></span>
 				</div>
 			</div>
 		</fieldset>
@@ -178,8 +178,7 @@
 
 	}
 
-?>
-	<form class="frm-form" method="post" accept-charset="utf-8" action="install.php">
+?>	<form class="frm-form" method="post" accept-charset="utf-8" action="install.php">
 	<div class="hidden">
 		<input type="hidden" name="form_sent" value="1" />
 	</div>
@@ -211,8 +210,7 @@
 	foreach ($db_extensions as $db_type)
 		echo "\t\t\t\t\t".'<option value="'.$db_type[0].'">'.$db_type[1].'</option>'."\n";
 
-?>
-					</select></span>
+?>					</select></span>
 				</div>
 			</div>
 			<div class="sf-set set1">
@@ -318,8 +316,8 @@
 
 	if (count($languages) > 1)
 	{
-?>
-			<div class="sf-set set4">
+
+?>			<div class="sf-set set4">
 				<div class="sf-box text">
 					<label for="fld14"><span><?php echo $lang_install['Default language'] ?></span> <small><?php echo $lang_install['Default language help'] ?></small></label><br />
 					<span class="fld-input"><select id="fld14" name="req_language">
@@ -328,28 +326,35 @@
 		foreach ($languages as $lang)
 			echo "\t\t\t\t\t".'<option value="'.$lang.'"'.($language == $lang ? ' selected="selected"' : '').'>'.$lang.'</option>'."\n";
 
-?>
-					</select></span>
+?>					</select></span>
 				</div>
 			</div>
 <?php
+
 	}
 	else
 	{
-?>
-			<div class="hidden">
+
+?>			<div class="hidden">
 				<input type="hidden" name="req_language" value="<?php echo $languages[0]; ?>" />
 			</div>
 <?php
 	}
 
-?>
-			<div class="sf-set set5">
+	if (file_exists(FORUM_ROOT.'extensions/pun_repository/manifest.xml'))
+	{
+
+?>			<div class="sf-set set5">
 				<div class="sf-box checkbox">
 					<span class="fld-input"><input id="fld15" type="checkbox" name="install_pun_repository" value="1" checked="checked" /></span>
 					<label for="fld15"><span><?php echo $lang_install['Pun repository'] ?></span> <?php echo $lang_install['Pun repository help'] ?></label><br />
 				</div>
 			</div>
+<?php
+
+	}
+
+?>
 		</fieldset>
 		<div class="frm-buttons">
 			<span class="submit"><input type="submit" name="start" value="<?php echo $lang_install['Start install'] ?>" /></span>
@@ -456,7 +461,7 @@
 			break;
 
 		default:
-			error(sprintf($lang_install['No such database type'], $db_type));
+			error(sprintf($lang_install['No such database type'], forum_htmlencode($db_type)));
 	}
 
 	// Create the database object (and connect/select db)
@@ -1743,15 +1748,15 @@
 	$alerts = array();
 	// Check if the cache directory is writable
 	if (!is_writable('./cache/'))
-		$alerts[] = '<li>'.$lang_install['No cache write'].'</li>';
+		$alerts[] = '<li><span>'.$lang_install['No cache write'].'</span></li>';
 
 	// Check if default avatar directory is writable
 	if (!is_writable('./img/avatars/'))
-		$alerts[] = '<li>'.$lang_install['No avatar write'].'</li>';
+		$alerts[] = '<li><span>'.$lang_install['No avatar write'].'</span></li>';
 
 	// Check if we disabled uploading avatars because file_uploads was disabled
 	if ($avatars == '0')
-		$alerts[] = '<li>'.$lang_install['File upload alert'].'</li>';
+		$alerts[] = '<li><span>'.$lang_install['File upload alert'].'</span></li>';
 
 	// Add some random bytes at the end of the cookie name to prevent collisions
 	$cookie_name = 'forum_cookie_'.random_key(6, false, true);
@@ -1819,9 +1824,9 @@
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <title>PunBB Installation</title>
 <link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen.css" />
-<link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen_forms.css" />
 <link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen_cs.css" />
-<!--[if lte IE 7]><link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen_ie.css" /><![endif]-->
+<!--[if lte IE 6]><link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen_ie6.css" /><![endif]-->
+<!--[if IE 7]><link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen_ie7.css" /><![endif]-->
 </head>
 
 <body>
@@ -1854,17 +1859,19 @@
 {
 
 ?>
-		<div class="ct-box warn-box">
+		<div class="ct-box info-box">
 			<p class="warn"><?php echo $lang_install['No write info 1'] ?></p>
 			<p class="warn"><?php printf($lang_install['No write info 2'], '<a href="'.FORUM_ROOT.'index.php">'.$lang_install['Go to index'].'</a>') ?></p>
 		</div>
-<?php if (!empty($alerts)): ?>		<div class="ct-box error-box">
-			<?php echo $lang_install['Warning'] ?></p>
+<?php if (!empty($alerts)): ?>
+		<div class="ct-box error-box">
+			<p class="warn"><strong><?php echo $lang_install['Warning'] ?></strong></p>
 			<ul>
 				<?php echo implode("\n\t\t\t\t", $alerts)."\n" ?>
 			</ul>
 		</div>
-<?php endif; ?>		<form class="frm-form" method="post" accept-charset="utf-8" action="install.php">
+<?php endif; ?>
+		<form class="frm-form" method="post" accept-charset="utf-8" action="install.php">
 			<div class="hidden">
 			<input type="hidden" name="generate_config" value="1" />
 			<input type="hidden" name="db_type" value="<?php echo $db_type; ?>" />
diff -urN punbb-1.3/admin/prune.php punbb-1.3.4/admin/prune.php
--- punbb-1.3/admin/prune.php	2008-10-28 14:12:01.000000000 +0000
+++ punbb-1.3.4/admin/prune.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to delete older topics from the site.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/admin/ranks.php punbb-1.3.4/admin/ranks.php
--- punbb-1.3/admin/ranks.php	2008-10-30 12:12:19.000000000 +0000
+++ punbb-1.3.4/admin/ranks.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to control the tags given to posters based on their post count.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/admin/reindex.php punbb-1.3.4/admin/reindex.php
--- punbb-1.3/admin/reindex.php	2008-10-28 14:12:01.000000000 +0000
+++ punbb-1.3.4/admin/reindex.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to rebuild the index used to search the posts and topics.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/admin/reports.php punbb-1.3.4/admin/reports.php
--- punbb-1.3/admin/reports.php	2008-10-28 14:12:01.000000000 +0000
+++ punbb-1.3.4/admin/reports.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators and moderators to handle reported posts.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -54,10 +54,11 @@
 // Setup breadcrumbs
 $forum_page['crumbs'] = array(
 	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-	array($lang_admin_common['Management'], forum_link($forum_url['admin_reports'])),
-	array($lang_admin_common['Reports'], forum_link($forum_url['admin_reports']))
+	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 );
+if ($forum_user['g_id'] == FORUM_ADMIN)
+	$forum_page['crumbs'][] = array($lang_admin_common['Management'], forum_link($forum_url['admin_reports']));
+$forum_page['crumbs'][] = array($lang_admin_common['Reports'], forum_link($forum_url['admin_reports']));
 
 ($hook = get_hook('arp_pre_header_load')) ? eval($hook) : null;
 
diff -urN punbb-1.3/admin/settings.php punbb-1.3.4/admin/settings.php
--- punbb-1.3/admin/settings.php	2008-11-07 22:14:13.000000000 +0000
+++ punbb-1.3.4/admin/settings.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to control many of the settings used in the site.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -214,7 +214,7 @@
 		{
 			$query = array(
 				'UPDATE'	=> 'config',
-				'SET'		=> 'conf_value='.$input,
+				'SET'		=> 'conf_value='.intval($input),
 				'WHERE'		=> 'conf_name=\'p_'.$forum_db->escape($key).'\''
 			);
 
@@ -266,8 +266,6 @@
 		array($lang_admin_common['Setup'], forum_link($forum_url['admin_settings_setup']))
 	);
 
-	$forum_page['main_head'] = $lang_admin_common['Settings'];
-
 	($hook = get_hook('aop_setup_pre_header_load')) ? eval($hook) : null;
 
 	define('FORUM_PAGE_SECTION', 'settings');
@@ -980,10 +978,6 @@
 						<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_admin_settings['Update check'] ?></span> <?php echo $lang_admin_settings['Update check label'] ?></label>
 					</div>
 				</div>
-<?php ($hook = get_hook('aop_features_pre_updates_fieldset_end')) ? eval($hook) : null; ?>
-			</fieldset>
-			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
-				<legend class="group-legend"><strong><?php echo $lang_admin_settings['Check for versions'] ?></strong></legend>
 <?php ($hook = get_hook('aop_features_pre_version_updates_checkbox')) ? eval($hook) : null; ?>
 				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
 					<div class="sf-box checkbox">
@@ -991,7 +985,7 @@
 						<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_admin_settings['Check for versions'] ?></span> <?php echo $lang_admin_settings['Auto check for versions'] ?></label>
 					</div>
 				</div>
-<?php ($hook = get_hook('aop_features_pre_version_updates_fieldset_end')) ? eval($hook) : null; ?>
+<?php ($hook = get_hook('aop_features_pre_updates_fieldset_end')) ? eval($hook) : null; ?>
 			</fieldset>
 <?php ($hook = get_hook('aop_features_updates_fieldset_end')) ? eval($hook) : null; ?>
 <?php else: ?>
@@ -1268,16 +1262,16 @@
 	($hook = get_hook('aop_maintenance_output_start')) ? eval($hook) : null;
 
 ?>
+	<div class="main-subhead">
+		<h2 class="hn"><span><?php echo $lang_admin_settings['Maintenance head'] ?></span></h2>
+	</div>
 	<div class="main-content main-frm">
-		<div class="content-head">
-			<h2 class="hn"><span><?php echo $lang_admin_settings['Maintenance head'] ?></span></h2>
-		</div>
 		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['admin_settings_maintenance']) ?>">
 			<div class="hidden">
 				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['admin_settings_maintenance'])) ?>" />
 				<input type="hidden" name="form_sent" value="1" />
 			</div>
-			<div class="ct-box">
+			<div class="ct-box warn-box">
 				<p class="important"><?php echo $lang_admin_settings['Maintenance mode info'] ?></p>
 				<p class="warn"><?php echo $lang_admin_settings['Maintenance mode warn'] ?></p>
 			</div>
diff -urN punbb-1.3/admin/users.php punbb-1.3.4/admin/users.php
--- punbb-1.3/admin/users.php	2008-11-08 17:17:40.000000000 +0000
+++ punbb-1.3.4/admin/users.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators or moderators to search the existing users based on various criteria.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -50,11 +50,12 @@
 	// Setup breadcrumbs
 	$forum_page['crumbs'] = array(
 		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-		array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-		array($lang_admin_common['Searches'], forum_link($forum_url['admin_users'])),
-		$lang_admin_users['User search results']
+		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 	);
+	if ($forum_user['g_id'] == FORUM_ADMIN)
+		$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = array($lang_admin_common['Searches'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = $lang_admin_users['User search results'];
 
 	($hook = get_hook('aus_ip_stats_pre_header_load')) ? eval($hook) : null;
 
@@ -198,11 +199,12 @@
 	// Setup breadcrumbs
 	$forum_page['crumbs'] = array(
 		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-		array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-		array($lang_admin_common['Searches'], forum_link($forum_url['admin_users'])),
-		$lang_admin_users['User search results']
+		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 	);
+	if ($forum_user['g_id'] == FORUM_ADMIN)
+		$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = array($lang_admin_common['Searches'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = $lang_admin_users['User search results'];
 
 	($hook = get_hook('aus_show_users_pre_header_load')) ? eval($hook) : null;
 
@@ -605,11 +607,12 @@
 	// Setup breadcrumbs
 	$forum_page['crumbs'] = array(
 		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-		array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-		array($lang_admin_common['Searches'], forum_link($forum_url['admin_users'])),
-		$lang_admin_users['Ban users']
+		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 	);
+	if ($forum_user['g_id'] == FORUM_ADMIN)
+		$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = array($lang_admin_common['Searches'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = $lang_admin_users['Ban users'];
 
 	($hook = get_hook('aus_ban_users_pre_header_load')) ? eval($hook) : null;
 
@@ -814,6 +817,14 @@
 	$form = $_POST['form'];
 	$form['username'] = $_POST['username'];
 
+	//Check up for order_by and direction values
+	$order_by = isset($_POST['order_by']) ? forum_trim($_POST['order_by']) : null;
+	$direction = isset($_POST['direction']) ? forum_trim($_POST['direction']) : null;
+	if ($order_by == null || $direction == null)
+		message($lang_common['Bad request']);
+	if (!in_array($order_by, array('username', 'email', 'num_posts', 'num_posts', 'registered')) || !in_array($direction, array('ASC', 'DESC')))
+		message($lang_common['Bad request']);
+
 	($hook = get_hook('aus_find_user_selected')) ? eval($hook) : null;
 
 	// forum_trim() all elements in $form
@@ -826,8 +837,6 @@
 	$last_post_before = forum_trim($_POST['last_post_before']);
 	$registered_after = forum_trim($_POST['registered_after']);
 	$registered_before = forum_trim($_POST['registered_before']);
-	$order_by = $_POST['order_by'];
-	$direction = $_POST['direction'];
 	$user_group = $_POST['user_group'];
 
 	if ((!empty($posts_greater) || !empty($posts_less)) && !ctype_digit($posts_greater.$posts_less))
@@ -888,7 +897,7 @@
 			)
 		),
 		'WHERE'		=> 'u.id>1 AND '.implode(' AND ', $conditions),
-		'ORDER BY'	=> $forum_db->escape($order_by).' '.$forum_db->escape($direction)
+		'ORDER BY'	=> $order_by.' '.$direction
 	);
 
 	($hook = get_hook('aus_find_user_qr_find_users')) ? eval($hook) : null;
@@ -899,11 +908,12 @@
 	// Setup breadcrumbs
 	$forum_page['crumbs'] = array(
 		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-		array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-		array($lang_admin_common['Searches'], forum_link($forum_url['admin_users'])),
-		$lang_admin_users['User search results']
+		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 	);
+	if ($forum_user['g_id'] == FORUM_ADMIN)
+		$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = array($lang_admin_common['Searches'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = $lang_admin_users['User search results'];
 
 	($hook = get_hook('aus_find_user_pre_header_load')) ? eval($hook) : null;
 
@@ -1071,15 +1081,15 @@
 
 // Setup form
 $forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;
-$forum_page['form_action'] = '';
 
 // Setup breadcrumbs
 $forum_page['crumbs'] = array(
 	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-	array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-	array($lang_admin_common['Searches'], forum_link($forum_url['admin_users'])),
+	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 );
+if ($forum_user['g_id'] == FORUM_ADMIN)
+	$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+$forum_page['crumbs'][] = array($lang_admin_common['Searches'], forum_link($forum_url['admin_users']));
 
 ($hook = get_hook('aus_search_form_pre_header_load')) ? eval($hook) : null;
 
diff -urN punbb-1.3/delete.php punbb-1.3.4/delete.php
--- punbb-1.3/delete.php	2008-10-31 09:04:18.000000000 +0000
+++ punbb-1.3.4/delete.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Deletes the specified post (and, if necessary, the topic it is in).
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/edit.php punbb-1.3.4/edit.php
--- punbb-1.3/edit.php	2008-11-08 17:53:23.000000000 +0000
+++ punbb-1.3.4/edit.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Modifies the contents of the specified post.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -297,7 +297,7 @@
 <?php if ($can_edit_subject): ?>				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
 					<div class="sf-box text required">
 						<label for="fld<?php echo ++ $forum_page['fld_count'] ?>"><span><?php echo $lang_post['Topic subject'] ?>  <em><?php echo $lang_common['Required'] ?></em></span></label><br />
-						<span class="fld-input"><input id="fld<?php echo $forum_page['fld_count'] ?>" type="text" name="req_subject" size="80" maxlength="70" value="<?php echo forum_htmlencode(isset($_POST['req_subject']) ? $_POST['req_subject'] : $cur_post['subject']) ?>" /></span>
+						<span class="fld-input"><input id="fld<?php echo $forum_page['fld_count'] ?>" type="text" name="req_subject" size="70" maxlength="70" value="<?php echo forum_htmlencode(isset($_POST['req_subject']) ? $_POST['req_subject'] : $cur_post['subject']) ?>" /></span>
 					</div>
 				</div>
 <?php endif; ($hook = get_hook('ed_pre_message_box')) ? eval($hook) : null; ?>				<div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
